=== debian/changelog ===
superlu-dist (5.2.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Activate "Parmetis" support via Scotch emulation.
  * Build-Depends: mpi-default-bin, to provide mpiexec for build tests.
  * debian/rules: deactivate OMPI_MCA_plm_rsh_agent to allow OpenMPI
    build-time tests to run.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Nov 2017 15:38:18 +0800

superlu-dist (5.2.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Set generic libblas-dev as first Build-Dep alternative, since
    Debian buildds don't use Build-Depends alternatives (and
    OpenBLAS/ATLAS aren't built on all arches).
    Will still use the system's preferred BLAS at runtime.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Nov 2017 23:55:56 +0800

superlu-dist (5.2.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #735679).
    - debian patch mc64ad_dist-stub.patch provides stubs for
      mc64ad_dist.c (removed, since non-free)
  * Parmetis/Metis (non-free) are not supported in this build
  * configuration errors are currently ignored to work around spurious
    warnings about install dirs.
  * build-time test are treated as information only
    (build is not halted when tests fail)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2017 19:49:41 +0800
