=== SRC/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,11 @@
     supermatrix.h
     util_dist.h
     colamd.h
-    superlu_dist_config.h
+    ${CMAKE_CURRENT_BINARY_DIR}/superlu_dist_config.h
 )
+if (MSVC)
+  list(APPEND headers wingetopt.h)
+endif ()
 
 # first: precision-independent files
 set(sources
@@ -37,6 +40,9 @@
   colamd.c
   superlu_dist_version.c
 )
+if (MSVC)
+  list(APPEND sources wingetopt.c)
+endif ()
 set_source_files_properties(superlu_timer.c PROPERTIES COMPILE_FLAGS -O0)
 
 if(enable_double)
@@ -121,18 +127,42 @@
 endif()
 
 add_library(superlu_dist ${sources} ${HEADERS})
-target_link_libraries(superlu_dist
-                      ${MPI_C_LIBRARIES} ${BLAS_LIB} ${PARMETIS_LIB} m)
-set_target_properties(superlu_dist PROPERTIES
-                      VERSION ${PROJECT_VERSION} SOVERSION ${VERSION_MAJOR}
-)
+set(targets superlu_dist)
+if (BUILD_SHARED_LIBS AND BUILD_STATIC_LIBS)
+  # build both shared and static libs
+  add_library(superlu_dist-static STATIC ${sources} ${HEADERS})
+  list(APPEND targets superlu_dist-static)
+endif()
+
+set(superlu_dist_libs ${MPI_C_LIBRARIES} ${BLAS_LIB} ${PARMETIS_LIB})
+if (NOT MSVC)
+  list(APPEND superlu_dist_libs m)
+endif ()
+
+foreach(target ${targets})
+  target_link_libraries(${target} ${superlu_dist_libs})
+  set_target_properties(${target} PROPERTIES
+                        OUTPUT_NAME superlu_dist
+                        VERSION ${PROJECT_VERSION}
+                        SOVERSION ${VERSION_MAJOR}
+  )
+endforeach(target)
+
+target_compile_definitions(superlu_dist PRIVATE SUPERLU_DIST_EXPORTS)
+if(MSVC AND BUILD_SHARED_LIBS)
+  set_target_properties(superlu_dist PROPERTIES
+                        WINDOWS_EXPORT_ALL_SYMBOLS ON
+  )
+endif()
 
 # Define GNU standard installation directories
 include(GNUInstallDirs)
 
-install(TARGETS superlu_dist
-# DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
-     DESTINATION ${CMAKE_INSTALL_LIBDIR}
+install(TARGETS ${targets}
+# DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
+    LIBRARY DESTINATION "${INSTALL_LIB_DIR}"
+    ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
 )
 install(FILES ${headers}
 # DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
