=== TEST/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 include_directories(${SuperLU_DIST_SOURCE_DIR}/SRC)
 
 # Libs linked to all of the tests
-set(all_link_libs superlu_dist ${BLAS_LIB} m)
+set(all_link_libs superlu_dist ${BLAS_LIB})
+if (NOT MSVC)
+  list(APPEND all_link_libs m)
+endif ()
 
 set(MATRICES ../EXAMPLE/g20.rua)  # sample sparse matrix from a file
 set(NPROWS 1 2)		  # process rows
