=== debian/changelog ===
superlu-dist (5.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian patch mc64ad_dist-stub.patch: Identify SuperLU-Dist in
    "mc64 unsupported" error message.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Feb 2018 12:25:13 +0800
