=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	cmake (>= 2.8.12),
 	mpi-default-dev, mpi-default-bin,
 	gfortran,
 	libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 	libscotchparmetis-dev | libparmetis-dev,
 	libscotchmetis-dev | libmetis-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Section: libs
 Homepage: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/#superlu_dist
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/superlu-dist.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/superlu-dist.git
+Vcs-Git: https://salsa.debian.org/science-team/superlu-dist.git
+Vcs-Browser: https://salsa.debian.org/science-team/superlu-dist
 
 Package: libsuperlu-dist-dev
 Section: libdevel
